{"models":[{"endpoint_id":"kling/v4/text-to-video","metadata":{"display_name":"Kling 4.0 Text to Video","category":"text-to-video","description":"Kling 4.0 generates videos from text prompts at 720p or 1080p, with durations from 3 to 30 seconds and support for per-shot prompts.  ","status":"active","tags":["text-to-video","multi-shot","cinematic","kling"],"updated_at":"2026-10-23T16:50:43.429Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aae9ff4/BBn7FmeY6HUb0EJgkXkWJ.jpg","model_url":"https://fal.run/kling/v4/text-to-video","license_type":"commercial","date":"2026-10-16T15:18:34.007Z","group":{"key":"kling-v4","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v4/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v4/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v4/text-to-video","category":"unknown","thumbnailUrl":"","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v4/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v4/text-to-video/api","about":"Generate videos with Kling 4.0 Text to Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV4TextToVideoInput":{"type":"object","title":"TextToVideoInput","properties":{"duration":{"type":"integer","title":"Duration","minimum":3,"maximum":30,"description":"Video duration in seconds (3-30).","default":5},"aspect_ratio":{"type":"string","title":"Aspect Ratio","enum":["16:9","9:16","1:1","21:9"],"description":"Aspect ratio of the generated video.","default":"16:9"},"multi_prompt":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/KlingV4Shot"},"minItems":1},{"type":"null"}],"title":"Multi Prompt","examples":[null],"description":"Per-shot prompts for multi-shot generation. The video duration is the sum of the shot durations."},"prompt":{"anyOf":[{"type":"string","maxLength":26000},{"type":"null"}],"title":"Prompt","examples":["A detective in a black trench coat stands on a rooftop in the rain, looking through a telescope at the street below."],"description":"Text prompt. Either prompt or multi_prompt must be provided."},"resolution":{"type":"string","title":"Resolution","enum":["720p","1080p"],"description":"Output resolution.","default":"1080p"}},"x-fal-order-properties":["prompt","multi_prompt","duration","resolution","aspect_ratio"]},"KlingVideoV4TextToVideoOutput":{"type":"object","title":"VideoOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3478246,"url":"https://v3b.fal.media/files/b/0aac4496/QzdMSy4uSKyFfMjtU65MA_clip_text.mp4","file_name":"output.mp4"}],"description":"The generated video."}},"required":["video"],"x-fal-order-properties":["video"]},"KlingV4Shot":{"type":"object","title":"KlingV4Shot","properties":{"duration":{"type":"integer","title":"Duration","minimum":1,"maximum":30,"description":"Shot duration in seconds.","default":5},"prompt":{"type":"string","title":"Prompt","minLength":1,"maxLength":512,"description":"The prompt for this shot."}},"required":["prompt"],"x-fal-order-properties":["prompt","duration"]},"File":{"type":"object","title":"File","properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kling-video/v4/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v4/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v4/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV4TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v4/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV4TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":null,"has_more":false}
